Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXTitledPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.jdesktop.swingx.JXPanel
                          org.jdesktop.swingx.JXTitledPanel

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.Scrollable

    public class JXTitledPanel

extends JXPanel

A special type of Panel that has a Title section and a Content section.
The following properties can be set with the UIManager to change the look and feel of the JXTitledPanel:

- JXTitledPanel.titleForeground
- JXTitledPanel.titleBackground
- JXTitledPanel.titleFont
- JXTitledPanel.titlePainter
- JXTitledPanel.captionInsets
- JXTitledPanel.rightDecorationInsets
- JXTitledPanel.leftDecorationInsets

Author:
  Richard Bair, Nicola Ken Barozzi, Jeanette Winzenburg
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `LEFT_DECORATION`
`static java.lang.String` | `RIGHT_DECORATION`
`static java.lang.String` | `uiClassID`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JXTitledPanel()` Create a new JTitledPanel with an empty string for the title.
`JXTitledPanel(java.lang.String title)` Create a new JTitledPanel with the given title as the title for the panel.
`JXTitledPanel(java.lang.String title, java.awt.Container content)` Create a new JTitledPanel with the given String as the title, and the given Container as the content panel.

Method Summary
`java.awt.Container` | `getContentContainer()`
`javax.swing.JComponent` | `getLeftDecoration()`
`javax.swing.JComponent` | `getRightDecoration()`
`java.lang.String` | `getTitle()` Gets the title for this titled panel.
`java.awt.Font` | `getTitleFont()`
`java.awt.Color` | `getTitleForeground()`
`Painter` | `getTitlePainter()`
`TitledPanelUI` | `getUI()` Returns the look and feel (L&F) object that renders this component.
`java.lang.String` | `getUIClassID()` Returns a string that specifies the name of the L&F class that renders this component.
`void` | `setContentContainer(java.awt.Container contentPanel)`
`void` | `setLeftDecoration(javax.swing.JComponent decoration)` Adds the given JComponent as a decoration on the left of the title
`void` | `setRightDecoration(javax.swing.JComponent decoration)` Adds the given JComponent as a decoration on the right of the title
`void` | `setTitle(java.lang.String title)` Sets the title for this title panel.
`void` | `setTitleFont(java.awt.Font titleFont)`
`void` | `setTitleForeground(java.awt.Color titleForeground)`
`void` | `setTitlePainter(Painter p)` Set the Painter to use for painting the title section of the JXTitledPanel.
`void` | `setUI(TitledPanelUI ui)` Sets the look and feel (L&F) object that renders this component.
`void` | `updateUI()` Notification from the `UIManager` that the L&F has changed.

Methods inherited from class org.jdesktop.swingx.JXPanel
`getAlpha, getBackgroundPainter, getEffectiveAlpha, getPainterChangeListener, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableHeightHint, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getScrollableWidthHint, isInheritAlpha, isPaintBorderInsets, paint, paintComponent, setAlpha, setBackground, setBackgroundPainter, setInheritAlpha, setPaintBorderInsets, setScrollableHeightHint, setScrollableTracksViewportHeight, setScrollableTracksViewportWidth, setScrollableWidthHint`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, paramString, setUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uiClassID

    public static final java.lang.String uiClassID

See Also:
  `// *`, `JComponent.readObject(java.io.ObjectInputStream)`, Constant Field Values

### LEFT_DECORATION

    public static final java.lang.String LEFT_DECORATION

See Also:
  Constant Field Values

### RIGHT_DECORATION

    public static final java.lang.String RIGHT_DECORATION

See Also:
  Constant Field Values

Constructor Detail

### JXTitledPanel

    public JXTitledPanel()

  Create a new JTitledPanel with an empty string for the title.

### JXTitledPanel

    public JXTitledPanel(java.lang.String title)

  Create a new JTitledPanel with the given title as the title for the panel.

  Parameters:
    `title` -

### JXTitledPanel

    public JXTitledPanel(java.lang.String title,
                         java.awt.Container content)

  Create a new JTitledPanel with the given String as the title, and the given Container as the content panel.

  Parameters:
    `title` -
    `content` -

Method Detail

### getUI

    public TitledPanelUI getUI()

  Returns the look and feel (L&F) object that renders this component.

  Overrides:
    `getUI` in class `javax.swing.JPanel`
  Returns:
    the TitledPanelUI object that renders this component

### setUI

    public void setUI(TitledPanelUI ui)

  Sets the look and feel (L&F) object that renders this component.

  Parameters:
    `ui` - the TitledPanelUI L&F object
  See Also:
    `UIDefaults.getUI(javax.swing.JComponent)`

### getUIClassID

    public java.lang.String getUIClassID()

  Returns a string that specifies the name of the L&F class that renders this component.

  Overrides:
    `getUIClassID` in class `javax.swing.JPanel`
  Returns:
    "TitledPanelUI"
  See Also:
    `JComponent.getUIClassID()`, `UIDefaults.getUI(javax.swing.JComponent)`

### updateUI

    public void updateUI()

  Notification from the `UIManager` that the L&F has changed. Replaces the current UI object with the latest version from the `UIManager`.

  Overrides:
    `updateUI` in class `javax.swing.JPanel`
  See Also:
    `JComponent.updateUI()`

### getTitle

    public java.lang.String getTitle()

  Gets the title for this titled panel.

  Returns:
    the currently displayed title

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for this title panel.

  Parameters:
    `title` - the title to display

### getContentContainer

    public java.awt.Container getContentContainer()

### setContentContainer

    public void setContentContainer(java.awt.Container contentPanel)

### setRightDecoration

    public void setRightDecoration(javax.swing.JComponent decoration)

  Adds the given JComponent as a decoration on the right of the title

  Parameters:
    `decoration` -

### getRightDecoration

    public javax.swing.JComponent getRightDecoration()

### setLeftDecoration

    public void setLeftDecoration(javax.swing.JComponent decoration)

  Adds the given JComponent as a decoration on the left of the title

  Parameters:
    `decoration` -

### getLeftDecoration

    public javax.swing.JComponent getLeftDecoration()

### getTitleFont

    public java.awt.Font getTitleFont()

### setTitleFont

    public void setTitleFont(java.awt.Font titleFont)

### setTitlePainter

    public void setTitlePainter(Painter p)

  Set the Painter to use for painting the title section of the JXTitledPanel. This value may be null, which will cause the current look and feel to paint an appropriate look

  Parameters:
    `p` - The Painter to use. May be null

### getTitlePainter

    public Painter getTitlePainter()

  Returns:
    the Painter to use for painting the background of the title section

### getTitleForeground

    public java.awt.Color getTitleForeground()

### setTitleForeground

    public void setTitleForeground(java.awt.Color titleForeground)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.